<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui">

<h:head>
</h:head>

<h:body>
    <h:form id="form">

        <h2 style="text-align: center">Add student:</h2>

        <p:panelGrid layout="grid" columns="2">
            <p:outputLabel value="Name:" for="nameField"/>
            <p:inputText id="nameField" value="#{studentsBean.newStudent.name}"
                required="true" />

            <p:outputLabel value="Date of birth:" for="dateField"/>
            <p:calendar id="dateField" value="#{studentsBean.newStudentDateOfBirth}"
                        locale="hu" required="true" />
        </p:panelGrid>
        <p:commandButton update="@form" process="@this" ajax="false"
                         value="Save" actionListener="#{studentsBean.saveStudent()}" />

        <p> </p>
        <p> </p>
        <p> </p>

        <h2 style="text-align: center">List of students:</h2>
        <p:dataTable id="tbl" var="student" value="#{studentsBean.students}"
                     paginator="true" rows="10" style="margin-bottom:20px">
            <p:column headerText="Id" sortBy="#{student.id}">
                <h:outputText value="#{student.id}"/>
            </p:column>

            <p:column headerText="Name" sortBy="#{student.name}">
                <h:outputText value="#{student.name}"/>
            </p:column>

            <p:column headerText="Date of birth" sortBy="#{student.dateOfBirth}">
                <h:outputText value="#{student.dateOfBirth}"/>
            </p:column>
        </p:dataTable>
    </h:form>
</h:body>
</html>